APIAutomations
Install an automation template
Create an independent customer-owned automation from the selected published template version. Later catalog updates and retirement do not change the copy. Required project dependencies must be connected first.
POST https://api.sazabi.com/v1/automation-templates/{templateId}/install
Path Parameters
templateId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/automation-templates/string/install" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": -9007199254740991, "name": "string", "inputs": { "property1": "string", "property2": "string" }, "enabled": true }'{ "automationId": "de580a02-68f2-4f04-b675-19968bf358e1", "configurationRevision": -9007199254740991}